### Method

# Lasem DomDocument save_to_stream

#### Declaration [src]

    void
    lsm_dom_document_save_to_stream (
      LsmDomDocument* document,
      GOutputStream* stream,
      GError** error
    )

#### Description [src]

Save `document` as an xml representation into `stream`.

#### Parameters

`stream`

  Type: `GOutputStream`

  Stream to save to.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.